漏洞信息详情

strongSwan eap-mschapv2插件安全漏洞

  • CNNVD编号:CNNVD-201511-297
  • 危害等级: 中危
  • CVE编号: CVE-2015-8023
  • 漏洞类型: 权限许可和访问控制
  • 发布时间: 2015-11-19
  • 威胁类型: 远程
  • 更新时间: 2015-11-19
  • 厂        商: strongswan
  • 漏洞来源:

漏洞简介

strongSwan是瑞士软件开发者Andreas Steffen所维护的一套Linux平台使用的开源的基于IPsec的VPN解决方案。该方案包含X.509公开密钥证书、安全储存私钥、智能卡等认证机制。

strongSwan 4.2.12版本至5.3.3版本的eap-mschapv2插件中的EAP-MSCHAPv2协议的服务器实现过程中存在安全漏洞,该漏洞源于程序没有正确验证本地状态。远程攻击者可通过使用空的Success消息做为初始Challenge消息的响应利用该漏洞绕过身份验证。

漏洞公告

目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:

https://www.strongswan.org/blog/2015/11/16/strongswan-vulnerability-(cve-2015-8023).html

参考网址

来源:www.strongswan.org

链接:https://www.strongswan.org/blog/2015/11/16/strongswan-vulnerability-(cve-2015-8023).html

来源:UBUNTU

链接:http://www.ubuntu.com/usn/USN-2811-1

来源:DEBIAN

链接:http://www.debian.org/security/2015/dsa-3398

漏洞信息快速查询

相关漏洞

更多